The existing Portal is being replaced by the Jupiter Developer Platform with new pricing, rate limits, and features. We will share more details about the migration plan soon.
cURL
curl --request GET \ --url https://api.jup.ag/prediction/v1/events/{eventId}/markets \ --header 'x-api-key: <api-key>'
{ "data": [ { "marketId": "<string>", "status": "open", "result": null, "openTime": 123, "closeTime": 123, "resolveAt": 123, "marketResultPubkey": "<string>", "imageUrl": "<string>", "pricing": { "buyYesPriceUsd": 123, "buyNoPriceUsd": 123, "sellYesPriceUsd": 123, "sellNoPriceUsd": 123, "volume": 123 } } ], "pagination": { "start": 1, "end": 1, "total": 1, "hasNext": true } }
Get all markets for a specific event
Get API key via https://portal.jup.ag
Event identifier
1
x >= 0
List of markets for the given event
Show child attributes
Was this page helpful?